<?php
namespace Claromentis\People\Validator;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] ?: array()) + array("_535e3fcb3f5d89c525b" . "b618a08cc8dcc" => base64_decode("LiBWYWx1ZSBtdXN0IGJlIGVpdGhlciBhIGRvY3VtZW50IElEIG9yIGEgZG9" . "jdW1lbnQgb2JqZWN0"), "_4b4a03dbe69a4c39db014" . "be2875a7313" => base64_decode("Tm9uLW51bWVyaWMgdmF" . "sdWUgIg=="), "_a7fdbac2a6d0ebb5bb8ea569e" . "8173d7b" => base64_decode("IiBmb3IgZG" . "F0ZSBmaWVs" . "ZCA="), "_27ba77e349cbe144e8794" . "d0c0497a106" => base64_decode("IiBnaXZlb" . "iBmb3Igc2" . "VsZWN0IGZ" . "pZWxkIA=="), "_d155d43a39de93f8" . "58123c6b6ce31d8a" => base64_decode("cHJlZ19tYXR" . "jaA=="), "_2cb499b451eb718f841aaa" . "78dc70cc52" => base64_decode("IiBmb3IgZGF0ZS10aW1" . "lIGZpZWxkIA=="), "_ac927f4168510971a59508f1f08cf" . "98a" => base64_decode("L15cZHs4" . "fSQv"), "_bd71c3b5c201f" . "c11db82ed14ce4" . "24de5" => base64_decode("aW5fYXJyY" . "Xk="), "_3aec16c1aa2104da778e412207d6c" . "415" => base64_decode("L15cZHsxNH18XGR7OH0kLw" . "=="), "_bb26699a673361ff7c17444a2a" . "82deba" => base64_decode("SW52YWxpZCB2YWx1ZSBnaXZlbiBmb3IgZG9jdW1lbnQgbGluay" . "BmaWVsZCA="), "_dc99f29eb97c274b4e47f67" . "01fb2d842" => base64_decode("TWV0Y" . "WRhdG" . "EgZml" . "lbGQg"), "_62d701c3c53404f" . "06345eb35720a47b" . "4" => base64_decode("aXNfbnVtZXJp" . "Yw=="), "_d013620d4b36b1" . "d03509cbeff31bb" . "db9" => base64_decode("IiBnaXZlbiBmb3IgbnVtZXJpYy" . "BmaWVsZCA="), "_66a6b98e1f1601e30de10feb344fcd" . "b6" => base64_decode("SW52YWxpZC" . "B2YWx1ZSAi"), "_fa96cdf58bff3b0695f" . "b2bc0803d7b12" => base64_decode("IGRvZXMgbm" . "90IGV4aXN0"), "_a827c5bc10b88ccab760" . "d95c58bfbeaa" => base64_decode("Q291bGQgbm90IHBhc" . "nNlIHZhbHVlICI="));
use Claromentis\People\Exception\ValidationException;
use Claromentis\People\Repository\UserRepository;
class MetadataValidator
{
    protected $user_repository;
    public function __construct(UserRepository $_eeeeb0d673b7b0fd0bdca58b5541c3e0)
    {
        $this->user_repository = $_eeeeb0d673b7b0fd0bdca58b5541c3e0;
    }
    
    
    
    
    
    
    
    public function Validate(int $_8bd60f167b34bb2f633dd93934749b67, array $values) : array
    {
        $_cd32cee6e5836ae05dc7b722f2ec21e9 = new \MetaDataSet($_8bd60f167b34bb2f633dd93934749b67);
        $_cd32cee6e5836ae05dc7b722f2ec21e9->LoadAllFields();
        $output = [];
        foreach ($values as $key => $value) {
            $field = $_cd32cee6e5836ae05dc7b722f2ec21e9->GetMetaFieldByName($key);
            if ($field === false) {
                throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_dc99f29eb97c274b4e47f6701" . "fb2d842"] . $key . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_fa96cdf58bff3b0695fb2b" . "c0803d7b12"]);
            }
            switch ($field->GetMetaType()) {
                case META_TYPE_TEXT:
                case META_TYPE_DEFAULT:
                    break;
                case META_TYPE_INT:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_62d701c3c" . "53404f0634" . "5eb35720a4" . "7b4"]($value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4b4a03dbe69a4c39db014be2875a7" . "313"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d013620d4b36" . "b1d03509cbeff" . "31bbdb9"] . $key);
                    }
                    break;
                case META_TYPE_DATETIME:
                    if (!$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d155d43a39de93f858123c6b6ce3" . "1d8a"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_3aec16c1aa2104da778e4122" . "07d6c415"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a827c5bc10b8" . "8ccab760d95c5" . "8bfbeaa"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_2cb499b451eb718f841aa" . "a78dc70cc52"] . $key);
                    }
                    break;
                case META_TYPE_SELECT:
                    $field->values->Load();
                    $_4d67cdd33a7358d7cc3b5e51df410bbb = $field->values->GetAllValues();
                    if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_bd71c3b5c201fc11db82e" . "d14ce424de5"]($value, $_4d67cdd33a7358d7cc3b5e51df410bbb)) {
                        throw new ValidationException($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_66a6b98e1f1601e3" . "0de10feb344fcdb6"] . $value . $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_27ba77e349cbe144e8" . "794d0c0497a106"] . $key);
                    }
                    break;
                case META_TYPE_CHECK:
                    break;
                case META_TYPE_DOCLINK:
                    if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_62d701c3c53404f06345eb35720a4" . "7b4"]($value) && !$value instanceof \ERMSDocument && !$value instanceof \Claromentis\Core\Metadata\Type\DocumentObject) {
                        throw new ValidationException($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_bb26699a673361ff7" . "c17444a2a82deba"] . $key . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_535e3fcb3f5" . "d89c525bb618" . "a08cc8dcc"]);
                    }
                    break;
                case META_TYPE_LINK:
                    break;
                case META_TYPE_USER:
                    break;
                case META_TYPE_DATE:
                    if (!$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_d155d43" . "a39de93f" . "858123c6" . "b6ce31d8" . "a"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ac927f4168510971a5" . "9508f1f08cf98a"], $value)) {
                        throw new ValidationException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a827c5bc1" . "0b88ccab76" . "0d95c58bfb" . "eaa"] . $value . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a7fdbac2a6d0ebb5b" . "b8ea569e8173d7b"] . $key);
                    }
                    break;
                case META_TYPE_SPECIAL:
                    break;
                case META_TYPE_FILE:
                    break;
                case META_TYPE_ADDRESS:
                    break;
                case META_TYPE_MULTISELECT:
                    break;
                case META_TYPE_DATE_NO_YEAR:
                    break;
                case META_TYPE_IMAGE:
                    break;
            }
            $output[$key] = $value;
        }
    }
}